package infoh509.tp3.jdom.ex1;

import java.io.File;
import java.util.HashSet;
import java.util.Set;

import org.jdom.Document;
import org.jdom.Element;
import org.jdom.input.SAXBuilder;

public class Exercice2 {
	public static void main(String[] args) {
		Set<String> countries = new HashSet<String>();

		try {
			SAXBuilder b = new SAXBuilder();
			Document d = b.build(new File("data/orders.xml"));

			/* Pour chaque commande */
			for (Object order: d.getRootElement().getChild("Orders").getChildren()) {
				Element e = (Element)order;
				String country = e.getChild("ShipInfo").getChildText("ShipCountry").trim();
				
				/* Si le pays de livraison est inconnu, l'affiche */
				if (!countries.contains(country)) {
					System.out.println(country);
					countries.add(country);
				}
			}
		} 
		catch (Exception e) { 
			e.printStackTrace(); 
		}
	}
}
