package infoh509.tp3.sax.ex1;

import org.xml.sax.Attributes;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.helpers.XMLReaderFactory;

public class Exercice1 extends DefaultHandler {
	int orders = 0;
	
	public void startElement(String uri, String localName,
			String qName, Attributes atts) {

		if (localName.equals("Order")) {
			orders++;
		}
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		XMLReader reader;
		try {
			Exercice1 myHandler = new Exercice1();
			
			/* Read the file passed as parameter using SAX */
			reader = XMLReaderFactory.createXMLReader();
			reader.setContentHandler(myHandler);
			reader.parse("data/orders.xml");
			
			System.out.println("Orders: " + myHandler.orders);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
