package infoh509.tp3.jdom.ex1;

import java.io.File;

import org.jdom.Document;
import org.jdom.Element;
import org.jdom.input.SAXBuilder;

public class Exercice3 {
	public static void main(String[] args) {
		try {
			SAXBuilder b = new SAXBuilder();
			Document d = b.build(new File("data/orders.xml"));

			/* Pour chaque client */
			for (Object customer: d.getRootElement().getChild("Customers").getChildren()) {
				Element e = (Element)customer;
				String custID = e.getAttributeValue("CustomerID");
				System.out.println(e.getChildText("CompanyName"));
				
				/* Pour chaque commande du client */
				for (Object order: d.getRootElement().getChild("Orders").getContent(
						new CustomerOrdersFilter(custID))) {
					Element o = (Element)order;
					System.out.println("\t" + o.getChildText("OrderDate"));
				}
			}
		} 
		catch (Exception e) { 
			e.printStackTrace(); 
		}
	}
}
