package infoh509.tp3.sax;

import org.xml.sax.Attributes;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.helpers.XMLReaderFactory;

public class SaxExample extends DefaultHandler {
	public void startElement(String uri, String localName,
			String qName, Attributes atts) {

		if (localName.equals("Toto")) {
			/* balise ouvrante <Toto> */
		}
	}

	public void endElement(String uri, String localName, 
			String qName) {
		
		if (localName.equals("Toto")) {
			/* balise fermante </Toto> */
		}
	}

	public void characters(char[] ch, int start, int length) {
		String text = new String(ch,start,length);

		/* On recoit le texte /text/ */
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		XMLReader reader;
		try {
			SaxExample myHandler = new SaxExample();
			
			/* Read the file passed as parameter using SAX */
			reader = XMLReaderFactory.createXMLReader();
			reader.setContentHandler(myHandler);
			reader.parse("data/orders.xml");
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
